Bug 1503521 (ovndns) - [Neutron][OVN][RFE] internal DNS support
Summary: [Neutron][OVN][RFE] internal DNS support
Keywords:
Status: CLOSED ERRATA
Alias: ovndns
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Numan Siddique
QA Contact: Miguel Angel Ajo
URL:
Whiteboard:
Depends On: 1577592 1581332 1582512
Blocks: osp13ovn
TreeView+ depends on / blocked
 
Reported: 2017-10-18 11:20 UTC by Miguel Angel Ajo
Modified: 2019-09-09 14:17 UTC (History)
9 users (show)

Fixed In Version: python-networking-ovn-4.0.1-0.20180420150809.c7c16d4.el7ost
Doc Type: Release Note
Doc Text:
This version introduces support for internal DNS resolution in networking-ovn. Although there are two know limitations, one is bz#1581332 which prevents proper resolution of internal fqdn requests via internal dns. Please note that the extension is not configured by default by tripleo on the GA release. See bz#1577592 for a workaround.
Clone Of:
Environment:
Last Closed: 2018-06-27 13:37:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 522215 'None' MERGED Add native DNS support 2020-09-18 19:11:44 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:31 UTC

Description Miguel Angel Ajo 2017-10-18 11:20:07 UTC
Description of problem:

Neutron provides the capability to assign DNS names to ports through the DNS extension. Historically that was automatic, and now nova uses the DNS extension in neutron when found to fill in the dns details.

While Core OVN is capable of responding to DNS queries and forwarding them as necessary networking-ovn mechanism driver doesn't still implement that. It'd be highly desirable for parity reasons to support that feature.


https://github.com/openvswitch/ovs/blob/adabd65ddd8217cf1a27f654136ff74d4fd544bf/ovn/ovn-nb.ovsschema#L48

https://github.com/openvswitch/ovs/blob/adabd65ddd8217cf1a27f654136ff74d4fd544bf/ovn/ovn-nb.ovsschema#L288

Expected outcome:

 Support of the dns neutron extension, and enablement of the dns related tests.

Comment 1 Miguel Angel Ajo 2017-10-18 11:28:54 UTC
Some examples of how to configure it at OVN level: https://github.com/openvswitch/ovs/blob/adabd65ddd8217cf1a27f654136ff74d4fd544bf/tests/ovn.at#L6598

As per @numans explanation, this feature works by capturing any DNS request, and responding locally on OVN controller if we have an answer, otherwise the packet is released back to the openflow pipeline and will reach the normal DNS server if that was configured via DHCP.

One thing that we could have here missing compared to neutron is the ability to do inverse resolution, but that could be easily added to core-ovn later.

Comment 4 Daniel Alvarez Sanchez 2017-12-20 17:49:52 UTC
https://review.openstack.org/#/c/522215/ is merged

Comment 15 Miguel Angel Ajo 2018-06-10 22:35:39 UTC
It was verified, but two bugs were opened:

1581332 and 1577592

Comment 17 errata-xmlrpc 2018-06-27 13:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.